From 06ad208c8e1403ab78a39ce3f2a87e2521df9e5d Mon Sep 17 00:00:00 2001
From: Bridouz <justin.berthault@zaclys.net>
Date: Mon, 27 May 2019 15:10:18 +0200
Subject: [PATCH 1/3] python-dogpile.cache: add python-decorator as dep

---
 srcpkgs/python-dogpile.cache/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python-dogpile.cache/template b/srcpkgs/python-dogpile.cache/template
index 202117a9695..0e4b230c55d 100644
--- a/srcpkgs/python-dogpile.cache/template
+++ b/srcpkgs/python-dogpile.cache/template
@@ -7,7 +7,7 @@ wrksrc="dogpile.cache-${version}"
 build_style=python-module
 pycompile_module="dogpile"
 hostmakedepends="python-setuptools python3-setuptools"
-depends="python"
+depends="python python3-decorator"
 short_desc="A caching front-end based on the Dogpile lock (Python2)"
 maintainer="Daniel Santana <daniel@santana.tech>"
 license="BSD-3-Clause"
@@ -22,7 +22,7 @@ post_install() {
 python3-dogpile.cache_package() {
 	archs=noarch
 	pycompile_module="dogpile"
-	depends="python3"
+	depends="python3 python3-decorator"
 	short_desc="${short_desc/Python2/Python3}"
 	alternatives="guessit:guessit:/usr/bin/guessit3"
 	pkg_install() {

From 41c248c172e3f58058590221c3ed0df3b12c97ec Mon Sep 17 00:00:00 2001
From: Bridouz <justin.berthault@gmail.com>
Date: Mon, 27 May 2019 16:23:30 +0200
Subject: [PATCH 2/3] python-dogpile.cache: fix py3 deps on py2

---
 srcpkgs/python-dogpile.cache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-dogpile.cache/template b/srcpkgs/python-dogpile.cache/template
index 0e4b230c55d..13845807a23 100644
--- a/srcpkgs/python-dogpile.cache/template
+++ b/srcpkgs/python-dogpile.cache/template
@@ -7,7 +7,7 @@ wrksrc="dogpile.cache-${version}"
 build_style=python-module
 pycompile_module="dogpile"
 hostmakedepends="python-setuptools python3-setuptools"
-depends="python python3-decorator"
+depends="python python-decorator"
 short_desc="A caching front-end based on the Dogpile lock (Python2)"
 maintainer="Daniel Santana <daniel@santana.tech>"
 license="BSD-3-Clause"

From 1d02778d4dc45cf9480c47f3be64c209905e0d1d Mon Sep 17 00:00:00 2001
From: Bridouz <justin.berthault@gmail.com>
Date: Sun, 2 Jun 2019 11:34:47 +0200
Subject: [PATCH 3/3] python-dogpile.cache: revbump

---
 srcpkgs/python-dogpile.cache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-dogpile.cache/template b/srcpkgs/python-dogpile.cache/template
index 13845807a23..a2e4a436f2f 100644
--- a/srcpkgs/python-dogpile.cache/template
+++ b/srcpkgs/python-dogpile.cache/template
@@ -1,7 +1,7 @@
 # Template file for 'python-dogpile.cache'
 pkgname=python-dogpile.cache
 version=0.7.1
-revision=1
+revision=2
 archs=noarch
 wrksrc="dogpile.cache-${version}"
 build_style=python-module
